summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/cool-retro-term/README4
-rw-r--r--system/cool-retro-term/cool-retro-term.SlackBuild92
-rw-r--r--system/cool-retro-term/cool-retro-term.info10
-rw-r--r--system/cool-retro-term/doinst.sh9
-rw-r--r--system/cool-retro-term/slack-desc19
5 files changed, 134 insertions, 0 deletions
diff --git a/system/cool-retro-term/README b/system/cool-retro-term/README
new file mode 100644
index 0000000000..8d0007da0c
--- /dev/null
+++ b/system/cool-retro-term/README
@@ -0,0 +1,4 @@
+cool-retro-term is a terminal emulator which tries to mimic the look
+and feel of the old cathode tube screens.
+It has been designed to be eye-candy, customizable, and reasonably
+lightweight.
diff --git a/system/cool-retro-term/cool-retro-term.SlackBuild b/system/cool-retro-term/cool-retro-term.SlackBuild
new file mode 100644
index 0000000000..bd4e06199f
--- /dev/null
+++ b/system/cool-retro-term/cool-retro-term.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for cool-retro-term
+
+# Copyright 2015 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cool-retro-term
+VERSION=${VERSION:-20151215_2739170}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="README.md gpl-2.0.txt gpl-3.0.txt"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i "s|.*qmltermwidget||" $PRGNAM.pro
+
+qmake-qt5
+make
+make INSTALL_ROOT=$PKG install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/cool-retro-term/cool-retro-term.info b/system/cool-retro-term/cool-retro-term.info
new file mode 100644
index 0000000000..f8ec1c1a68
--- /dev/null
+++ b/system/cool-retro-term/cool-retro-term.info
@@ -0,0 +1,10 @@
+PRGNAM="cool-retro-term"
+VERSION="20151215_2739170"
+HOMEPAGE="https://github.com/Swordfish90/cool-retro-term"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/cool-retro-term-20151215_2739170.tar.xz"
+MD5SUM="ab0eb7caafe3dac228762ffd16d8a203"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qmltermwidget"
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/system/cool-retro-term/doinst.sh b/system/cool-retro-term/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/system/cool-retro-term/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/system/cool-retro-term/slack-desc b/system/cool-retro-term/slack-desc
new file mode 100644
index 0000000000..b7d73572c5
--- /dev/null
+++ b/system/cool-retro-term/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cool-retro-term: cool-retro-term (old school terminal emulator)
+cool-retro-term:
+cool-retro-term: cool-retro-term is a terminal emulator which tries to mimic the look
+cool-retro-term: and feel of the old cathode tube screens.
+cool-retro-term: It has been designed to be eye-candy, customizable, and reasonably
+cool-retro-term: lightweight.
+cool-retro-term:
+cool-retro-term: homepage: https://github.com/Swordfish90/cool-retro-term
+cool-retro-term:
+cool-retro-term:
+cool-retro-term: